#
# spec file for package racer (Version 0.4.9)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp mesa-devel-packages recode xf86
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mesa mesa-devel mesaglu mesaglu-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline recode rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         racer
Copyright:    Copyright Ruud van Gaal
Group:        Amusements/Games/3D/Simulation
Requires:     racerdata
Autoreqprov:  on
Version:      0.4.9
Release:      129
Summary:      3D racing car simulation
Source:       rr_src.tar.gz
Source1:      rr_src_linux.tar.gz
Source2:      racerdata.tar.gz
Source3:      libfmod-3.5.tar.bz2
Source4:      racer.sh
Source5:      carlswood.exe
Source6:      ferp4.tar.bz2
Source7:      dummies.tar.bz2
Source8:      ode_includes.zip
Source9:      fer312.tar.bz2
Source10:     ode_missing_files.tgz
Source11:     replays.tar.bz2
Source12:     racer.txt
Source13:     README.SuSE
Source14:     music.tar.bz2
NoSource:     0
NoSource:     1
NoSource:     2
NoSource:     5
NoSource:     8
Patch:        racer.diff
Patch1:       mesa.diff
Patch2:       fix_loop_music.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Racer is a free car simulation project, using real car physics to get a realistic feeling.

Authors:
--------
    Ruud van Gaal <ruud@marketgraph.nl>

SuSE series: fun

%package -n racerdata
Group:        Amusements/Games/3D/Simulation
Autoreqprov:  on
Summary:      Racer data files 

%description -n racerdata
Data files required for running Racer.



Authors:
--------
    Ruud van Gaal <ruud@marketgraph.nl>

SuSE series: fun

%prep
tar xzf $RPM_SOURCE_DIR/rr_src.tar.gz
tar xzf $RPM_SOURCE_DIR/rr_src_linux.tar.gz
tar xjf $RPM_SOURCE_DIR/libfmod-3.5.tar.bz2
%patch
%patch2
version=`rpm -q mesa|cut -d "-" -f 2|cut -d "." -f 1`
if [ $version -ge 4 ]; then 
  patch -p0 < $RPM_SOURCE_DIR/mesa.diff
fi
( cd src/libs/ode
  unzip $RPM_SOURCE_DIR/ode_includes.zip
  tar xvzf $RPM_SOURCE_DIR/ode_missing_files.tgz
)

%build
echo "RPM_OPT_FLAGS: $RPM_OPT_FLAGS"
./build_racer.sh clean

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d "$RPM_BUILD_ROOT" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/games
mkdir -p $RPM_BUILD_ROOT/usr/lib/games/racer
( cd $RPM_BUILD_ROOT/usr/lib/games/racer
  tar xzf $RPM_SOURCE_DIR/racerdata.tar.gz
  rm -rf data/cars/evo6
  rm -f data/replays/evo_test.rpl
  sed 's/name=Ferrari.*/name=F. P4/' data/cars/ferp4/car.ini | sed '/name=F. P4/{
a\
  year=1967
}
' > /tmp/car.ini && mv -f /tmp/car.ini data/cars/ferp4/car.ini
  sed 's/name=Ferrari.*/name=F. 312/' data/cars/fer312/car.ini > /tmp/car.ini && \
    mv -f /tmp/car.ini data/cars/fer312/car.ini
  sed -e s/car=evo6/car=ferp4/g \
      -e s/track=carrera/track=carlswood/g \
      -e s/replay=evo_test/replay=f_p4/ \
      -e s/metallica.mp3/menu.ogg/ \
      -e s/berlin10.wav/replay.ogg/ \
      -e s/berlin1.wav/race.ogg/ \
      racer.ini | grep -v mc_level1.mp3 > /tmp/racer.ini && \
    mv -f /tmp/racer.ini racer.ini
  rm -rf data/tracks/carrera
  mkdir data/tracks/carlswood
  ( cd data/tracks/carlswood
    unzip $RPM_SOURCE_DIR/carlswood.exe
    rm -f bestlaps.ini
  )
  # replace some logos and trademarks
  tar xvjf $RPM_SOURCE_DIR/ferp4.tar.bz2
  tar xvjf $RPM_SOURCE_DIR/fer312.tar.bz2
  # dummy track and car
  tar xvjf $RPM_SOURCE_DIR/dummies.tar.bz2
  # replays
  tar xvjf $RPM_SOURCE_DIR/replays.tar.bz2
  # music
  tar xvjf $RPM_SOURCE_DIR/music.tar.bz2
  chown -R root.root *
  find . -type f|xargs chmod 644
  find . -type d|xargs chmod 755
  find . -name \*.ini | xargs recode -v ibmpc..lat1 &> /dev/null
)
install -m 755 src/racer/racer $RPM_BUILD_ROOT/usr/lib/games/racer
install -m 755 lib/libfmod-3.5.so $RPM_BUILD_ROOT/usr/lib/games/racer
install -m 755 $RPM_SOURCE_DIR/racer.sh $RPM_BUILD_ROOT/usr/games/racer
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/racer
install -m 644 $RPM_SOURCE_DIR/racer.txt $RPM_BUILD_ROOT/%{_defaultdocdir}/racer
install -m 644 $RPM_SOURCE_DIR/README.SuSE $RPM_BUILD_ROOT/%{_defaultdocdir}/racer

%files
%{_defaultdocdir}/racer/
/usr/games/racer
/usr/lib/games/racer/racer
/usr/lib/games/racer/libfmod-3.5.so

%files -n racerdata
/usr/lib/games/racer/*.ini
/usr/lib/games/racer/data/

%changelog -n racer
* Tue Jun 04 2002 - sndirsch@suse.de
- corrected URL for tracks/cars download (location has moved)
* Wed Mar 06 2002 - sndirsch@suse.de
- removed workaround for background music loop (enable_loop_music.diff)
- fixed background music loop for replay mode (fix_loop_music.diff)
* Sat Mar 02 2002 - sndirsch@suse.de
- enabled looping of background music file (enable_loop_music.diff)
* Thu Feb 28 2002 - sndirsch@suse.de
- added homepage of Marco Michna to CREDITS
* Wed Feb 27 2002 - sndirsch@suse.de
- replaced 22kHz music wav files with ogg files (Bug #13903)
* Tue Feb 19 2002 - sndirsch@suse.de
- added Marco Michna to CREDITS (Music)
* Mon Feb 18 2002 - sndirsch@suse.de
- added music for menu and replay
* Fri Feb 15 2002 - sndirsch@suse.de
- bugfix release for FMOD 3.5 library (OggVorbis fixes)
* Thu Feb 14 2002 - sndirsch@suse.de
- updated to official released FMOD 3.5 library; the FMOD 3.4 library
  used before was not an official build (the offical released FMOD 3.4
  library had floating point errors every now & then)
* Tue Feb 12 2002 - sndirsch@suse.de
- corrected owner/group of data files
* Sun Feb 10 2002 - ro@suse.de
- tar option for bz2 is "j"
* Thu Feb 07 2002 - sndirsch@suse.de
- corrected location of Racer website in documentation
* Wed Feb 06 2002 - sndirsch@suse.de
- added CREDITS as preview.tga in dummy track
* Sun Feb 03 2002 - sndirsch@suse.de
- $HOME/.racer/data/tracks/zzz_dummy now a symlink instead of
  directory with symlinks in it; prevents creation of bestlaps.ini
* Thu Jan 24 2002 - sndirsch@suse.de
- moved libfmod from /usr/lib --> /usr/lib/games/racer; use
  LD_LIBRARY_PATH in racer script according to this change now
* Wed Jan 23 2002 - sndirsch@suse.de
- added new Racer website to documentation
* Tue Jan 22 2002 - sndirsch@suse.de
- README.SuSE:
  * added an URL for cars/tracks download
  * added documentation how to enable joystick support
* Mon Jan 21 2002 - sndirsch@suse.de
- removed menu entries for network play, which does not work anyway
* Mon Jan 21 2002 - sndirsch@suse.de
- some major and minor errors in sed handling fixed (racer.spec +
  racer.sh)
* Sun Jan 20 2002 - sndirsch@suse.de
- build racer with $RPM_OPT_FLAGS
* Fri Jan 18 2002 - sndirsch@suse.de
- replaced web adress for car download
* Thu Jan 17 2002 - sndirsch@suse.de
- use f_p4 as default replay
- added some documentation how to add cars/tracks and replace
  background music
* Tue Jan 15 2002 - sndirsch@suse.de
- fixed creating of backup config dir
- added user documentation
* Mon Jan 14 2002 - sndirsch@suse.de
- splitted racer --> racer + racerdata
- new music dummy files (.ogg extension)
- marked some files as 'NoSource'
- corrected permissions of data files
* Mon Jan 14 2002 - sndirsch@suse.de
- updated to release 0.4.9
* Tue Jan 08 2002 - sndirsch@suse.de
- changed strings for F. P4
- minor changes in F. P4 texture
- splitted racer.diff --> racer.diff + mesa.diff; mesa.diff is only
  required and therefore applied for Mesa >= 4.0
* Thu Dec 20 2001 - ro@suse.de
- added dummies as source
* Thu Dec 20 2001 - sndirsch@suse.de
- disabled ALSA support (FMOD does not support ALSA 0.9 at the
  moment)
- dummy car and track to display where to download further cars
  and tracks
* Fri Dec 14 2001 - sndirsch@suse.de
- configure to use a joystick, if a working joystick device is
  detected
- enable sound, if ALSA or OSS available; first try ALSA then OSS;
  otherwise sound is disabled
* Thu Dec 13 2001 - sndirsch@suse.de
- replaced 'carrera' with 'carlswood' track (much cooler, free of
  logos and trademarks)
- removed logos and trademarks from car
* Wed Dec 12 2001 - sndirsch@suse.de
- removed one car
- removed strings for cars and tracks
* Mon Dec 10 2001 - sndirsch@suse.de
- use 75dpi instead of 100 dpi font
* Mon Dec 10 2001 - sndirsch@suse.de
- new libfmod (fixes 'divide by zero bug')
* Sun Dec 02 2001 - sndirsch@suse.de
- enhanced start script
  * game now starts in fullscreen mode with current resolution
  * ALSA is used instead of OSS
  * default car is now F. P4 instead of evo6
  (looks better with 3Dfx driver)
  * disable display of console messages on screen
  * move QLOG (logfile) to $HOME/.racer after finishing game
* Tue Nov 27 2001 - sndirsch@suse.de
- created package
